This URL creates a new Controller.
Resource URL
POST /controller
Request Parameters
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of cloud account | string | Yes |
| Description of the cloud account | string | Yes |
| IP address of the Controller | string | Yes |
| Shared secret key of the Controller | string | Yes |
| Type of cloud account. | string | Yes |
| Type of authentication. The values can be If you are using If you are using | string | Yes |
| Authentication details | object | No |
Details of authenticator in AWS deployments:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Account ID | string | No |
| Access key used for authentication | string | No |
| Pass phrase used for authentication | string | No |
Details of authenticator in Azure deployments:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Account ID | string | No |
| Tenant ID | string | No |
| Application ID | string | No |
| Application Key | string | No |
| Subscription number | number | No |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if creation of Controller is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Controller object | object |
Details of data
Field Name | Description | Data Type |
|---|---|---|
| Cloud unique Id of the Controller instance | string |
| Hostname on which the Controller is installed | string |
| Version of the Controller | string |
| Version of the Virtual Probe | string |
| Controller name | string |
| Description of the Controller | string |
| ID of the newly created Controller | number |
| IP address of the Controller | string |
| Domain ID | number |
| Shared secret key | string |
| Status of the Controller | string |
| Creation time of the Controller | number |
| Cloud accounts configured for the Controller | string |
| Last modified time of the Controller | number |
| Name of the Controller | string |
Example
Request
POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller
Payload in AWS deployments
{
"name": "Controller-6",
"description": "Test controller creation",
"serviceIp": null,
"sharedSecretKey": "admin123",
"cloudAccounts": [{
"name":"acc_1", "description":"test account"
"authType": {
"code": "key_based"
},
"cloudType": {
"name": "aws"
},
"valid": true,
"authenticator": {
"accountId": 0,
"accessKey": "AKIAJCPSSYIORDW5XYZ",
"secret": "test123"
}
}
Payload in Azure deployments
{
"name": "Controller-6",
"description": "Test controller creation",
"serviceIp": null,
"sharedSecretKey": "admin123",
"cloudAccounts": [{
"name":"acc_1", "description":"test account"
"authType": {
"code": "key_based"
},
"cloudType": {
"name": "azure"
},
"valid": true,
"authenticator": {
"accountId": 0,
"tenantId": "xyz",
"appId": "appIdXYZ",
"appKey": "apKey",
"subscription":"6873904"
}
}
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": {
"cloudUuid": null,
"hostName": null,
"controllerVersion": null,
"agentVersion": null,
"name": "Controller-6",
"description": "Test controller creation",
"controllerId": 5,
"serviceIp": null,
"subscriberId": 0,
"sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c",
"status": "UNREGISTERED",
"creationTime": null,
"lastModifiedTime": 1556272624000
},
"controllerName": null
}